#include <testngpp/internal/TestCase.h>
#include <testngpp/internal/TestFixtureDesc.h>
#include <testngpp/internal/TestSuiteDesc.h>
#include "TestRectangle.h"

static struct TESTCASE_TestRectangle_test_11
   : public TESTNGPP_NS::TestCase
{
   TESTCASE_TestRectangle_test_11()
      : TESTNGPP_NS::TestCase
        ( "should be able to calculate length of the rectangle"
        , "Rectangle"
        , "TestRectangle"
        , 0
        , "TestRectangle.h"
        , 11)
   {}

   void setFixture(TESTNGPP_NS::TestFixture* fixture)
   {
      if(fixture == 0)
      {
         belongedFixture = new TestRectangle();
      }
      else
      {
         belongedFixture = dynamic_cast<TestRectangle*>(fixture);
      }
   }

   void runTest()
   {
      
belongedFixture->test_11()
;
   }

   TESTNGPP_NS::TestFixture* getFixture() const
   {
      return belongedFixture;
   }

   unsigned int numberOfTags() const
   {
      return 0;
   }

   const char** getTags() const
   {
      static const char* tags[] = {0};
      return tags;
   }

   const char* getMemCheckSwitch() const
   {
      static const char* memCheckSwitch = "none";
      return memCheckSwitch;
   }

private:
   TestRectangle* belongedFixture;
} testcase_instance_TestRectangle_test_11 ;



static TESTNGPP_NS::TestCase* g_TESTCASEARRAY_TestRectangle[] = {
&testcase_instance_TestRectangle_test_11,
0
};




/*static*/ TESTNGPP_NS::TestFixtureDesc test_fixture_desc_instance_TestRectangle
   ( "Rectangle"
   , "TestRectangle.h"
   , g_TESTCASEARRAY_TestRectangle
   , (sizeof(g_TESTCASEARRAY_TestRectangle)/sizeof(g_TESTCASEARRAY_TestRectangle[0])) - 1
   );



static TESTNGPP_NS::TestFixtureDesc* array_of_fixture_desc_TestRectangle[] = {
&test_fixture_desc_instance_TestRectangle,
0
};




static TESTNGPP_NS::TestSuiteDesc test_suite_desc_instance_TestRectangle
   ( "TestRectangle"
   , array_of_fixture_desc_TestRectangle
   , (sizeof(array_of_fixture_desc_TestRectangle)/sizeof(array_of_fixture_desc_TestRectangle[0])) - 1
   );



extern "C" DLL_EXPORT TESTNGPP_NS::TestSuiteDesc* ___testngpp_test_suite_desc_getter() {
   return &test_suite_desc_instance_TestRectangle;
}


