
include $(UT_ENV)/defs.mk

include-paths= . \
	$(MOCKCPP_ROOT)/include \
        $(TESTNGPP_ROOT)/include \
        $(BOOST_ROOT)/include 

suite-name=$(notdir $(PWD))
testsuite=Test$(suite-name).so

.PHONY: all clean build-only	

all : build-only
	@$(TESTNGPP-RUNNER) $(testsuite) -L$(TESTNGPP-LISTENER_PATH) -l"testngppstdoutlistener -s -c -v" -s

build-only: $(testsuite)

clean : 
	@rm -f $(testsuite) $(PWD)/*.cc $(PWD)/*.gc*
